/*----- PROTECTED REGION ID(BacnetConfStateMachine.cpp) ENABLED START -----*/
/* clang-format on */
//=============================================================================
//
// file :        BacnetConfStateMachine.cpp
//
// description : State machine file for the BacnetConf class
//
// project :     BacnetConf
//
// This file is part of Tango device class.
//
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
//
//
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include "BacnetConf.h"

/* clang-format off */
/*----- PROTECTED REGION END -----*/	//	BacnetConf::BacnetConfStateMachine.cpp

//================================================================
//  States  |  Description
//================================================================


namespace BacnetConf_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : BacnetConf::is_dynScalarFloatRO_allowed()
 * Description:  Execution allowed for dynScalarFloatRO attribute
 */
//--------------------------------------------------------
bool BacnetConf::is_dynScalarFloatRO_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for dynScalarFloatRO attribute in read access.
	/*----- PROTECTED REGION ID(BacnetConf::dynScalarFloatROStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	BacnetConf::dynScalarFloatROStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : BacnetConf::is_dynScalarInt16RO_allowed()
 * Description:  Execution allowed for dynScalarInt16RO attribute
 */
//--------------------------------------------------------
bool BacnetConf::is_dynScalarInt16RO_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for dynScalarInt16RO attribute in read access.
	/*----- PROTECTED REGION ID(BacnetConf::dynScalarInt16ROStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	BacnetConf::dynScalarInt16ROStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : BacnetConf::is_dynScalarInt32RO_allowed()
 * Description:  Execution allowed for dynScalarInt32RO attribute
 */
//--------------------------------------------------------
bool BacnetConf::is_dynScalarInt32RO_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for dynScalarInt32RO attribute in read access.
	/*----- PROTECTED REGION ID(BacnetConf::dynScalarInt32ROStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	BacnetConf::dynScalarInt32ROStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : BacnetConf::is_dynScalarByteRO_allowed()
 * Description:  Execution allowed for dynScalarByteRO attribute
 */
//--------------------------------------------------------
bool BacnetConf::is_dynScalarByteRO_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for dynScalarByteRO attribute in read access.
	/*----- PROTECTED REGION ID(BacnetConf::dynScalarByteROStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	BacnetConf::dynScalarByteROStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : BacnetConf::is_dynScalarBoolRO_allowed()
 * Description:  Execution allowed for dynScalarBoolRO attribute
 */
//--------------------------------------------------------
bool BacnetConf::is_dynScalarBoolRO_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for dynScalarBoolRO attribute in read access.
	/*----- PROTECTED REGION ID(BacnetConf::dynScalarBoolROStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	BacnetConf::dynScalarBoolROStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : BacnetConf::is_dynScalarDoubleRO_allowed()
 * Description:  Execution allowed for dynScalarDoubleRO attribute
 */
//--------------------------------------------------------
bool BacnetConf::is_dynScalarDoubleRO_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for dynScalarDoubleRO attribute in read access.
	/*----- PROTECTED REGION ID(BacnetConf::dynScalarDoubleROStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	BacnetConf::dynScalarDoubleROStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : BacnetConf::is_dynScalarUInt32RO_allowed()
 * Description:  Execution allowed for dynScalarUInt32RO attribute
 */
//--------------------------------------------------------
bool BacnetConf::is_dynScalarUInt32RO_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for dynScalarUInt32RO attribute in read access.
	/*----- PROTECTED REGION ID(BacnetConf::dynScalarUInt32ROStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	BacnetConf::dynScalarUInt32ROStateAllowed_READ
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : BacnetConf::is_FindName_allowed()
 * Description:  Execution allowed for FindName attribute
 */
//--------------------------------------------------------
bool BacnetConf::is_FindName_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for FindName command.
	/*----- PROTECTED REGION ID(BacnetConf::FindNameStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	BacnetConf::FindNameStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : BacnetConf::is_FindObjects_allowed()
 * Description:  Execution allowed for FindObjects attribute
 */
//--------------------------------------------------------
bool BacnetConf::is_FindObjects_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for FindObjects command.
	/*----- PROTECTED REGION ID(BacnetConf::FindObjectsStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	BacnetConf::FindObjectsStateAllowed
	return true;
}


/*----- PROTECTED REGION ID(BacnetConf::BacnetConfStateAllowed.AdditionalMethods) ENABLED START -----*/
/* clang-format on */
//	Additional Methods
/* clang-format off */
/*----- PROTECTED REGION END -----*/	//	BacnetConf::BacnetConfStateAllowed.AdditionalMethods

}	//	End of namespace
